std::comp_ellint_2,std::comp_ellint_2f,std::comp_ellint_2l(3)

NAME
std::comp_ellint_2,std::comp_ellint_2f,std::comp_ellint_2l - std::comp_ellint_2,std::comp_ellint_2f,std::comp_ellint_2l

Synopsis
   Defined in header <cmath>
   double comp_ellint_2( double k);
   float comp_ellint_2( float k );
   long double comp_ellint_2( long double k ); (1) (since C++17)
   float comp_ellint_2f( float k );
   long double comp_ellint_2l( long double k );
   double comp_ellint_2( IntegralType k ); (2) (since C++17)
   1) Computes the complete elliptic integral of the second kind of k.
   2) A set of overloads or a function template accepting an argument of any integral
   type. Equivalent to (1) after casting the argument to double.

Parameters
   k - elliptic modulus or eccentricity (a value of a floating-point or integral type)

Return value
   If no errors occur, value of the complete elliptic integral of the second kind of k,
   that is ellint_2(k,π/2), is returned.

Error handling
   Errors may be reported as specified in math_errhandling
     * If the argument is NaN, NaN is returned and domain error is not reported
     * If |k|>1, a domain error may occur

Notes
   Implementations that do not support C++17, but support ISO 29124:2010, provide this
   function if __STDCPP_MATH_SPEC_FUNCS__ is defined by the implementation to a value
   at least 201003L and if the user defines __STDCPP_WANT_MATH_SPEC_FUNCS__ before
   including any standard library headers.
   Implementations that do not support ISO 29124:2010 but support TR 19768:2007 (TR1),
   provide this function in the header tr1/cmath and namespace std::tr1.
   An implementation of this function is also available in boost.math
   The perimeter of an ellipse with eccentricity k and semimajor axis a equals 4aE(k),
   where E is std::comp_ellint_2. When eccentricity equals 0, the ellipse degenerates
   to a circle with radius a and the perimeter equals 2πa, so E(0) = π/2. When
   eccentricity equals 1, the ellipse degenerates to a line of length 2a, whose
   perimeter is 4a, so E(1) = 1

Example
// Run this code
 #include <cmath>
 #include <iostream>
 int main()
 {
     double hpi = std::acos(-1)/2;
     std::cout << "E(0) = " << std::comp_ellint_2(0) << '\n'
               << "π/2 = " << hpi << '\n'
               << "E(1) = " << std::comp_ellint_2(1) << '\n'
               << "E(1, π/2) = " << std::ellint_2(1, hpi) << '\n';
 }

Output:
 E(0) = 1.5708
 π/2 = 1.5708
 E(1) = 1
 E(1, π/2) = 1

See also
   ellint_2
   ellint_2f
   ellint_2l (incomplete) elliptic integral of the second kind
   (C++17) (function)
   (C++17)
   (C++17)

External links
   Weisstein, Eric W. "Complete Elliptic Integral of the Second Kind." From MathWorld
   — A Wolfram Web Resource.